<?php
  if ($user->uid != 0) {
    $login_link = "<a class='login-link' href='" . $base_path . "caslogout?destination=/' target='_self'>Log out</a>";
    if (user_access('access workbench')) {
      $login_link = t('<a class="login-link" href="@url" target="_self">My workbench</a>', array('@url' => url('admin/workbench'))) . ' &nbsp; ' . $login_link;
    }
  }
  else {
    $login_link = "<a class='login-link' href='" . $base_path . "cas?destination=admin/workbench' target='_self'>Log in</a>";
  }
?>
<!doctype html>
<html lang="en" data-ng-app="app" data-ng-controller="siteController" data-ng-cloak class="no-js" xmlns:og="http://opengraphprotocol.org/schema/">
  <head prefix="og: http://ogp.me/ns#">

    <meta charset="utf-8" />
    <title>{{meta().metatags['og:title'] }} | {{meta().metatags['og:site_name']}} | University of Waterloo</title>
    <base href="<?php print $base_path; ?>">
    <meta name="fragment" content="!" />
    <meta name="robots" content="{{meta().metatags['robots']}}" />
    <meta name="keywords" content="{{meta().metatags['keywords']}}" />
    <meta name="news_keywords" content="{{meta().metatags['news_keywords']}}" />
    <meta name="description" content="{{meta().metatags['description']}}" />
    <meta name="abstract" content="{{meta().metatags['abstract']}}" />
    <meta name="author" content="{{meta().metatags['author']}}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />

    <!-- og: Tags -->
    <meta property="og:title" content="{{meta().metatags['og:title']}}" />
    <meta property="og:type" content="{{meta().metatags['og:type']}}" />
    <meta property="og:locale" content="{{meta().metatags['og:locale']}}" />
    <meta property="og:locale:alternate" content="{{meta().metatags['og:locale:alternate']}}" />
    <meta property="og:site_name" content="{{meta().metatags['og:site_name']}}" />
    <meta property="og:description" content="{{meta().metatags['og:description']}}" />
    <meta property="og:determiner" content="{{meta().metatags['og:determiner']}}" />
    <meta property="og:updated_time" content="{{meta().metatags['og:updated_time']}}" />
    <meta property="og:url" content="{{meta().metatags['og:url']}}" />
    <meta property="og:see_also" content="{{meta().metatags['og:see_also']}}" />

    <!-- og: geo location -->
    <meta property="og:street-address" content="{{meta().metatags['og:street-address']}}" />
    <meta property="og:locality" content="{{meta().metatags['og:locality']}}" />
    <meta property="og:region" content="{{meta().metatags['og:region']}}" />
    <meta property="og:postal-code" content="{{meta().metatags['og:postal-code']}}" />
    <meta property="og:country-name" content="{{meta().metatags['og:country-name']}}" />
    <meta property="og:latitude" content="{{meta().metatags['og:latitude']}}" />
    <meta property="og:longitude" content="{{meta().metatags['og:longtitude']}}" />

    <!-- og: profile -->
    <meta property="profile:first_name" content="{{meta().metatags['profile:first_name']}}" />
    <meta property="profile:last_name" content="{{meta().metatags['profile:last_name']}}" />
    <meta property="profile:gender" content="{{meta().metatags['profile:gender']}}" />
    <meta property="profile:username" content="{{meta().metatags['profile:username']}}" />
    <meta property="og:email" content="{{meta().metatags['og:email']}}" />
    <meta property="og:phone_number" content="{{meta().metatags['og:phone_number']}}" />
    <meta property="og:fax_number" content="{{meta().metatags['og:fax_number']}}" />

    <!-- og: article -->
    <meta property="article:published_time" content="{{meta().metatags['article:published_time']}}" />
    <meta property="article:modified_time" content="{{meta().metatags['article:modified_time']}}" />
    <meta property="article:publisher" content="{{meta().metatags['article:publisher']}}" />
    <meta property="article:author" content="{{meta().metatags['article:author']}}" />
    <meta property="article:section" content="{{meta().metatags['article:section']}}" />
    <meta property="article:tag" content="{{meta().metatags['article:tag']}}" />

    <!-- og: image array -->
    <meta property="og:image" content="{{meta().metatags['og:image']}}" />
    <meta property="og:image:secure_url" content="{{meta().metatags['og:image:secure_url']}}" />
    <meta property="og:image:type" content="{{meta().metatags['og:image:type']}}" />
    <meta property="og:image:width" content="{{meta().metatags['og:image:width']}}" />
    <meta property="og:image:height" content="{{meta().metatags['og:image:height']}}" />

    <!-- og: video -->
    <meta property="og:video" content="{{meta().metatags['og:video']}}" />
    <meta property="og:video:secure_url" content="{{meta().metatags['og:video:secure_url']}}" />
    <meta property="og:video:type" content="{{meta().metatags['og:video:type']}}" />
    <meta property="og:video:width" content="{{meta().metatags['og:video:width']}}" />
    <meta property="og:video:height" content="{{meta().metatags['og:video:height']}}" />
    <meta property="og:video:release_date" content="{{meta().metatags['og:video:release_date']}}" />
    <meta name="video:director" content="{{meta().metatags['video:director']}}" />
    <meta name="video:actor" content="{{meta().metatags['video:actor']}}" />
    <meta name="video:actor:role" content="{{meta().metatags['video:actor:role']}}" />
    <meta name="video:duration" content="{{meta().metatags['video:duration']}}" />
    <meta name="video:writer" content="{{meta().metatags['video:writer']}}" />
    <meta name="video:tag" content="{{meta().metatags['video:tag']}}" />

    <!-- og: audio -->
    <meta property="og:audio" content="{{meta().metatags['og:audio']}}" />
    <meta property="og:audio:secure_url" content="{{meta().metatags['og:audio:secure_url']}}" />
    <meta property="og:audio:type" content="{{meta().metatags['og:audio:type']}}" />

    <!-- twitter card -->
    <meta name="twitter:title" content="{{meta().metatags['twitter:title']}}" />
    <meta name="twitter:description" content="{{meta().metatags['twitter:description']}}" />
    <meta name="twitter:url" content="{{meta().metatags['twitter:url']}}" />
    <meta name="twitter:card" content="{{meta().metatags['twitter:card']}}" />
    <meta name="twitter:site" content="{{meta().metatags['twitter:site']}}" />
    <meta name="twitter:image:src" content="{{meta().metatags['twitter:image:src']}}" />
    <meta name="twitter:image:height" content="{{meta().metatags['twitter:image:height']}}" />
    <meta name="twitter:image:width" content="{{meta().metatags['twitter:image:width']}}" />
    <meta name="twitter:creator" content="{{meta().metatags['twitter:creator']}}" />
    <meta name="twitter:creator:id" content="{{meta().metatags['twitter:creator:id']}}" />

    <link rel="shortcut icon" sizes="16x16 24x24 32x32 48x48 64x64" data-ng-href="{{(meta().settings.favicon) ? meta().settings.favicon : 'apps/uw_theme_conference/assets/dist/img/favicon.ico' }}" />

    <link rel="canonical" href="{{meta().metatags['canonical']}}" />

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,300italic,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic">
    <link rel="stylesheet" href="apps/uw_theme_conference/assets/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="apps/uw_theme_conference/assets/dist/css/vendor.min.css" />
    <link rel="stylesheet" href="apps/uw_theme_conference/assets/dist/css/main.min.css" />
    <link rel="stylesheet" href="apps/uw_theme_conference/assets/dist/css/print.min.css" media="print"/>
    <link rel="stylesheet" href="apps/uw_theme_conference/tablesaw/dist/stackonly/tablesaw.stackonly.css" />
    <link rel="stylesheet" href="apps/uw_theme_conference/tablesaw/dist/bare/tablesaw.bare.css" />
    <link rel="stylesheet" href="apps/uw_theme_conference/tablesaw/dist/dependencies/qunit.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.1/leaflet.css" />

    <!-- Google Analytics -->
    <?php print $ga; ?>

    <?php if (isset($gtm)) { print '<script>' . $gtm['script'] . '</script>'; } ?>
  </head>
  <body>
    <?php if (isset($gtm)) { print $gtm['noscript']; } ?>
  <noscript>
    <style>
      [ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
        display: block !important;
      }
      .error_message {
        background-color: #cd1443;
        padding: 1rem;
        color:#fff;
        font-weight:bold;
        text-align: center;
        position: fixed;
        width: 100%;
        z-index:12;
      }
    </style>
    <div class="error_message">
      We are sorry, but this site requires JavaScript.
    </div>
  </noscript>
  <div id="skip-link" class="sr-only">
      <a href="#main-content">Skip to main content</a>
  </div>

    <data-ng-include src=" 'apps/uw_theme_conference/templates/components/header.tpl.html' "></data-ng-include>
    <data-ng-include src=" 'apps/uw_theme_conference/templates/components/navbar.tpl.html' "></data-ng-include>

    <div data-ui-view="main" class="anim-in-out anim-fade" id="main-content" role="main"  data-anim-speed="1000"></div>
    <div data-ui-view="sponsors" data-ng-if="!$stateParams.slug || $stateParams.slug != 'sponsors'"></div>

    <data-ng-include src=" 'apps/uw_theme_conference/templates/components/social-bar.tpl.html' "></data-ng-include>
    <data-ng-include src=" 'apps/uw_theme_conference/templates/components/footer.tpl.html' "></data-ng-include>

    <div class="user-login">
      <div class="container">
        <div class="row">
          <div class="col-sm-12">
            <?php print $login_link; ?>
          </div>
        </div>
      </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.1/leaflet.js"></script>
    <script src="apps/uw_theme_conference/assets/dist/js/main.min.js"></script>
    <script src="apps/uw_theme_conference/tablesaw/dist/tablesaw-init.js"></script>
    <script src="apps/uw_theme_conference/tablesaw/dist/tablesaw.js"></script>
    <script src="apps/uw_theme_conference/tablesaw/dist/stackonly/tablesaw.stackonly.js"></script>
  </body>
</html>
